<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class UpdateVacancyIntegrationNullable extends Migration
{
    public function up()
    {
        Schema::table('vacancies', function (Blueprint $table) {
            $table->string('permissionGroupName')->nullable()->change();
            $table->string('discordRoleID')->nullable()->change();
        });
    }

    public function down()
    {
        Schema::table('vacancies', function (Blueprint $table) {
            $table->string('permissionGroupName')->nullable(false)->change();
            $table->string('discordRoleID')->nullable(false)->change();
        });
    }
}
